
package de.ivu.elect.presentation.wahlausschuss;

import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.personenregister.boundary.PersonenregisterSwitch;

import javax.inject.Inject;
import java.io.Serializable;

public class WahlausschussmitgliedCreateViewResolver implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient PersonenregisterSwitch personenregisterSwitch;

  public String getViewId(Mandant mandant) {
    if (isPersonenregisterAvailable(mandant)) {
      return WahlausschussmitgliedPersonenregisterPersonendatenSelectionView.VIEW_ID;
    }

    return WahlausschussmitgliedCreateView.VIEW_ID;
  }

  private boolean isPersonenregisterAvailable(Mandant mandant) {
    return personenregisterSwitch.isPersonenregisterAvailable(mandant);
  }
}
